#main {

  background: url('../img/product-single-mask.svg') no-repeat bottom right;
}

.custom-product-layout {
  display: flex;
  gap: 2rem;
  color: white;
  border-radius: 12px;
  margin: auto;
  max-width: 1098px;
  width: 100%;
  padding: 8rem 1rem;
}

@media (max-width: 768px) {
  .custom-product-layout {
    flex-direction: column;
  }
}

/* === Left Side (Product Info) === */
.product-info {
  display: flex;
  flex-direction: column;
  flex: 1;
  position: relative;
  max-width: 522px;
}

.product-title {
  font-size: 2.5rem;
  font-weight: 700;
  margin-bottom: 1rem;
  font-weight: 600;
}

.product-subtitle {
  font-size: 24px;
  color: white;
  font-weight: 600;
  margin-bottom: 2rem;
}

.section-heading {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 1rem;
  color: white;
}

.product-description {
  font-size: 16px;
  line-height: 1.6;
  margin-bottom: 2rem;
  color: #fff;
  font-weight: 600;
}

.price-cart {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;
  justify-content: space-between;
  margin-top: 2rem;
}

.price-cart .product-price {
  font-size: 36px;
  font-weight: 700;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  height: 100%;
  flex: 1;
  gap: 1.5rem;
  justify-content: flex-end;
}

.price bdi {
  display: flex;
  justify-content: flex-end;
  height: 40px;
}

.variations tbody tr {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.variations tbody tr .label label {
  color: #fff;
  font-size: 0;
  line-height: 1.5rem;
  display: flex;
}

.variations tbody tr .label label::after {
  content: "Select Option";
  font-size: 1.5rem;

}

.variations tbody tr .value {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

#size {
  border-radius: .55rem;
  width: calc(100% - 10px);
  height: 43px;
  margin-top: 0;

}

.reset_variations {
  color: #fff;
  font-weight: 600;
  font-size: 1rem;
}


/* === Add to Cart Form === */
.product-cart-form {
  display: flex;
  align-items: center;
  gap: 1rem;
  height: fit-content;
  position: static;
  border-radius: 7px;
  flex: 1;
  max-width: 250px;

}

.variations_form.cart {
  height: 100%;
  display: flex;
  max-width: 250px;
  position: static;
  flex: 1;
  flex-direction: column;
  gap: 0.5rem;
}

.variations_form.cart .single_add_to_cart_button {

  position: static;
  right: unset;
  min-width: unset;

}


.cart {
  height: 100%;
  display: flex;
  min-width: 250px;
  position: static;
  flex: 1;
  flex-direction: row;
  gap: 0.5rem;
  height: 43px;
  position: relative;
}

.cart .single_add_to_cart_button {
  position: absolute;
  right: 0;
  min-width: 125px;
}

.woocommerce-variation-add-to-cart {
  display: flex;
  height: 44px;
}

.quantity {
  height: 100%;
  width: 50%;
  background-color: white;
  display: flex;
  border-radius: 7px;
}

.product-cart-form .quantity input {
  text-align: center;
  border: none;
  font-size: 1rem;
  background-color: #fff;
  color: #263087;
  border-radius: 7px;
  height: 100%;
  width: 50% !important;
  margin-left: auto;
  margin-top: 0;
  padding: 0 !important;
}

.price {
  display: flex;
  gap: 1rem;
}

.product-cart-form .quantity .minus,
.product-cart-form .quantity .plus {
  background-color: #263087;
  color: white;
  padding: 0.4rem 0.8rem;
  font-size: 1rem;
  border: none;
  cursor: pointer;
  border-radius: 7px;
}

.product-cart-form .single_add_to_cart_button {
  width: 50%;
  height: 100%;
  max-width: 156px;
  background-color: #B1D456 !important;
  color: #263087 !important;
  padding: 0;
  font-weight: bold;
  font-size: 14px !important;
  font-weight: 600 !important;
  vertical-align: middle;
  line-height: 100%;
  border: none;
  cursor: pointer;
  transition: background 0.3s ease;
  border-radius: 7px !important;
  margin-top: 0 !important;
  transform: translateX(-10px);
}

/* Price and quantity */
@media(max-width: 768px) {
  .price-cart {
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
    margin-top: 0;
  }

  .product-cart-form .quantity {
    height: 43px;
  }
}

/* === Right Side (Gallery) === */
.product-gallery {
  background: #fff;
  border-radius: 10px;
  width: 100%;
  height: 100%;
  background: transparent;
  gap: 1rem;
  display: flex;
  flex-direction: column;
  max-width: 414px;
  margin-left: auto;
}

.main-image {
  width: auto;
  max-height: 350px;
  max-width: 450px;
  aspect-ratio: 1/1;
  border-radius: 6px;
}

.gallery-thumbnails {
  width: auto;
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

.gallery-thumbnails img:hover {
  opacity: 0.8;
  transition: opacity 0.3s ease-in-out;
  cursor: pointer;
}

.thumb>img {
  border-radius: 6px;
  width: auto;
  height: 100%;

}

.main-image img {
  border-radius: 8px;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Hide number input arrows (Chrome, Safari, Edge) */
.quantity input::-webkit-outer-spin-button,
.quantity input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Hide number input arrows (Firefox) */
.quantity input[type=number] {
  -moz-appearance: textfield;
}

.woocommerce-variation-add-to-cart {
  position: relative;
}

.plus-minus {
  display: flex;
  position: absolute;
  left: 0.5rem;
  gap: 0.5rem;
  top: 50%;
  transform: translateY(-50%);
}


.qty-minus, .qty-plus {
  background-color: #263087;
  color: #fff;
  border: 1px solid #263087;
  border-radius: 4px;
  padding-left: 0;
  padding-right: 0;
  padding: 0;
  width: 28px;
  height: 28px;
  margin-top: 0 !important;
}


/* === Responsive === */
@media (max-width: 768px) {
  .custom-product-layout {
    grid-template-columns: 1fr;
    padding: 1rem 1.5rem 4rem 1.5rem;
  }

  .product-cart-form {
    /* flex-direction: column;
    align-items: flex-start; */
  }

  .product-gallery {
    margin-right: auto;
    order: 1;
  }

  .product-info {
    order: 2;
  }

  .product-info {
    max-width: none;
  }

}


@media(max-width: 950px) {
  .product-cart-form .single_add_to_cart_button {
    position: absolute;
    top: 50%;
    width: 50%;
    transform: translateY(-51%);
  }

  .variations_form.cart .single_add_to_cart_button {

    position: absolute;
    right: 0;
    min-width: 125px;

  }

  .woocommerce-variation-add-to-cart {
    width: 100%;
  }

  #size {
    width: 250px;
  }

  .single_add_to_cart_button {
    top: 0;
    right: 0;
  }


  #main {
    background-size: 35%;
  }

  .quantity {
    width: 55%;
    min-width: 135px;
  }

  .product-cart-form .quantity input {
    width: fit-content !important;
  }

  .price-cart {
    margin-bottom: 1rem;
  }
}

/* === Related Products Section === */
.related-products-section {
  background-color: #F5BE32;
  position: relative;
}

/* Section Heading */
.related-products-title {
  background-color: #263087;
  color: #fff;
}

/* Each product card */
.custom-related .product {
  background-color: #263087;
  color: #fff !important;
}

.woocommerce-loop-product__title {
  color: #fff !important;
}

.title-price-container span.price {
  color: #fff !important;
}

/* View product */
.related.products .product .view-link {
  color: #fff;
}

/* Product Tag Banner */
.product-tag {
  background-color: #F5BE32;
  color: #1d2a80;
}


.button.product_type_simple.add_to_cart_button.ajax_add_to_cart {

  background-color: #B1D456 !important;
  color: #263087 !important;
}

.view-all-button {
  background-color: white;
  color: #263087;
}


.added_to_cart.wc-forward {
  color: #F5BE32 !important;
}